package org.jeecg.modules.orderplatform.mapper;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.orderplatform.entity.PlatformMaterial;

import java.util.List;

/**
 * 下单制查询其他接口
 */
public interface PlatformQueryOtherMapper extends BaseMapper<PlatformMaterial> {

    List<JSONObject> queryAllDesignLeader();

    JSONObject queryIdentity(String currentLogon);

    //设计参与物料、被驳回物料、指派给我的物料数量
    int queryMaterialCountByDesignUserId(String userId, JSONArray materialStatus);

    //运营待审核的物料
    int queryMaterialCountByOperatorUserId(String userId);

    //设计组长带指派的物料
    int queryMaterialCountByDesign(String userId);

    //设计组长待确定的订单
    int queryOrderCountByDesign(String userId);

    //运营我发起的订单
    int queryNewOrderCountByOperator(String userId);

    //运营被驳回的订单
    int queryRejectOrderCountByOperator(String userId);

    //已完成的订单
    int queryFinishOrderCountByOperator(String userId);

    //设计组长已完成的订单
    int queryFinishOrderCountByDesign(String userId);

    //设计组长全部订单
    int queryAllOrderByDesign(String userId);


}
